
class MantenanceCountItem {
  String planDate;
  int waitingMaintenance;
  int inProgress;
  int overdue;
  int complete;

  MantenanceCountItem.fromJsonMap(Map<String, dynamic> map):
        planDate = map["planDate"],
        waitingMaintenance = map["waitingMaintenance"],
        inProgress = map["inProgress"],
        overdue = map["overdue"],
        complete = map["complete"];

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['planDate'] = planDate;
    data['waitingMaintenance'] = waitingMaintenance;
    data['inProgress'] = inProgress;
    data['overdue'] = overdue;
    data['complete'] = complete;
    return data;
  }
}
